C:\Windows\system32>python -m pip install --upgrade pip

WARNING: Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) after connection broken by 'ReadTimeoutError("HTTPSConnectionPool(host='pypi.org', port=443): Read timed out. (read timeout=15)")': /simple/pip/

Collecting pip

Downloading https://files.pythonhosted.org/packages/54/0c/d01aa759fdc501a58f431eb594a17495f15b88da142ce14b5845662c13f3/pip-20.0.2-py2.py3-none-any.whl (1.4MB)

|█████████████████████▌ | 962kB 2.9kB/s eta 0:02:44ERROR: Exception:

Traceback (most recent call last):

File "D:\Program Files\python\lib\site-packages\pip_vendor\urllib3\response.py", line 397, in error_catcher

yield

File "D:\Program Files\python\lib\site-packages\pip_vendor\urllib3\response.py", line 479, in read

data = self._fp.read(amt)

File "D:\Program Files\python\lib\site-packages\pip_vendor\cachecontrol\filewrapper.py", line 62, in read

data = self._fp.read(amt)

File "D:\Program Files\python\lib\http\client.py", line 454, in read

n = self.readinto(b)

File "D:\Program Files\python\lib\http\client.py", line 498, in readinto

n = self.fp.readinto(b)

File "D:\Program Files\python\lib\socket.py", line 669, in readinto

return self._sock.recv_into(b)

File "D:\Program Files\python\lib\ssl.py", line 1241, in recv_into

return self.read(nbytes, buffer)

File "D:\Program Files\python\lib\ssl.py", line 1099, in read

return self._sslobj.read(len, buffer)

socket.timeout: The read operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File "D:\Program Files\python\lib\site-packages\pip_internal\cli\base_command.py", line 188, in main

status = self.run(options, args)

File "D:\Program Files\python\lib\site-packages\pip_internal\commands\install.py", line 345, in run

resolver.resolve(requirement_set)

File "D:\Program Files\python\lib\site-packages\pip_internal\legacy_resolve.py", line 196, in resolve

self._resolve_one(requirement_set, req)

File "D:\Program Files\python\lib\site-packages\pip_internal\legacy_resolve.py", line 359, in resolve_one

abstract_dist = self._get_abstract_dist_for(req_to_install)

File "D:\Program Files\python\lib\site-packages\pip_internal\legacy_resolve.py", line 305, in _get_abstract_dist_for

abstract_dist = self.preparer.prepare_linked_requirement(

File "D:\Program Files\python\lib\site-packages\pip_internal\operations\prepare.py", line 195, in prepare_linked_requirement

unpack_url(

File "D:\Program Files\python\lib\site-packages\pip_internal\download.py", line 1058, in unpack_url

unpack_http_url(

File "D:\Program Files\python\lib\site-packages\pip_internal\download.py", line 920, in unpack_http_url

from_path, content_type = _download_http_url(link,

File "D:\Program Files\python\lib\site-packages\pip_internal\download.py", line 1152, in _download_http_url

_download_url(resp, link, content_file, hashes, progress_bar)

File "D:\Program Files\python\lib\site-packages\pip_internal\download.py", line 861, in _download_url

hashes.check_against_chunks(downloaded_chunks)

File "D:\Program Files\python\lib\site-packages\pip_internal\utils\hashes.py", line 75, in check_against_chunks

for chunk in chunks:

File "D:\Program Files\python\lib\site-packages\pip_internal\download.py", line 829, in written_chunks

for chunk in chunks:

File "D:\Program Files\python\lib\site-packages\pip_internal\utils\ui.py", line 156, in iter

for x in it:

File "D:\Program Files\python\lib\site-packages\pip_internal\download.py", line 794, in resp_read

for chunk in resp.raw.stream(

File "D:\Program Files\python\lib\site-packages\pip_vendor\urllib3\response.py", line 531, in stream

data = self.read(amt=amt, decode_content=decode_content)

File "D:\Program Files\python\lib\site-packages\pip_vendor\urllib3\response.py", line 496, in read

raise IncompleteRead(self._fp_bytes_read, self.length_remaining)

File "D:\Program Files\python\lib\contextlib.py", line 131, in __exit_

self.gen.throw(type, value, traceback)

File "D:\Program Files\python\lib\site-packages\pip_vendor\urllib3\response.py", line 402, in _error_catcher

raise ReadTimeoutError(self._pool, None, 'Read timed out.')

pip._vendor.urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='files.pythonhosted.org', port=443): Read timed out.

WARNING: You are using pip version 19.2.3, however version 20.0.2 is available.

You should consider upgrading via the 'python -m pip install --upgrade pip' command.

这个题目普遍都是载入波折形成的

倡导革新pip源

沿用这个清华大学的镜像源试试。

python -m pip install --upgrade pip -i https://pypi.tuna.tsinghua.edu.cn/simple/